#include <OneWire.h>
#include <DallasTemperature.h>

#define ONE_WIRE_BUS 53
#define ONE_WIRE_BUS 51

OneWire oneWire(ONE_WIRE_BUS);

DallasTemperature sensors(&oneWire);

float Celsius = 0;

void setup() {
  sensors.begin();
  Serial.begin(9600);
}

void loop() {
  sensors.requestTemperatures();
  Celsius = sensors.getTempCByIndex(0);
  Serial.print(Celsius);
  Serial.println(" C  "); 
}
